import javafx.beans.property.IntegerProperty;
import javafx.beans.property.ReadOnlyIntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;


public class Model {
	private IntegerProperty counter = new SimpleIntegerProperty();
	
	public int getValue() {
		return counter.get();
	}
	
	public void increase() {
		counter.set(counter.get() + 1);
	}
	
	public ReadOnlyIntegerProperty counterProperty() {
		return counter;
	}
}
